summaryrefslogtreecommitdiffstats
path: root/libraries/qwtplot3d
diff options
context:
space:
mode:
author Fellype do Nascimento <fellype(at)gmail.com>2016-12-15 07:34:38 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-12-16 04:41:21 +0700
commit98e4c1010749f4acb4bcfecea990bc82565453a1 (patch)
tree66eb228b4a57cac23ee8a30e6ed3e497a9ef0d7a /libraries/qwtplot3d
parentaac482c0a988ba981c84957b57546dd0e6109125 (diff)
downloadslackbuilds-98e4c1010749f4acb4bcfecea990bc82565453a1.tar.gz
slackbuilds-98e4c1010749f4acb4bcfecea990bc82565453a1.tar.xz
libraries/qwtplot3d: Added (Qt/OpenGL-based C++ library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/qwtplot3d')
-rw-r--r--libraries/qwtplot3d/README5
-rw-r--r--libraries/qwtplot3d/qwtplot3d-qt-4.8.0.patch34
-rw-r--r--libraries/qwtplot3d/qwtplot3d.SlackBuild110
-rw-r--r--libraries/qwtplot3d/qwtplot3d.info10
-rw-r--r--libraries/qwtplot3d/slack-desc19
5 files changed, 178 insertions, 0 deletions
diff --git a/libraries/qwtplot3d/README b/libraries/qwtplot3d/README
new file mode 100644
index 0000000000..cfec1a9015
--- /dev/null
+++ b/libraries/qwtplot3d/README
@@ -0,0 +1,5 @@
+QwtPlot3D (A Qt/OpenGL-based C++ programming library)
+
+QwtPlot3D is not a program, but a feature-rich Qt/OpenGL-based C++
+programming library, providing essentially a bunch of 3D-widgets
+for programmers. The library is zlib licensed. \ No newline at end of file
diff --git a/libraries/qwtplot3d/qwtplot3d-qt-4.8.0.patch b/libraries/qwtplot3d/qwtplot3d-qt-4.8.0.patch
new file mode 100644
index 0000000000..f675b95275
--- /dev/null
+++ b/libraries/qwtplot3d/qwtplot3d-qt-4.8.0.patch
@@ -0,0 +1,34 @@
+diff -urbN qwtplot3d/include/qwt3d_io_gl2ps.h qwtplot3d.patched/include/qwt3d_io_gl2ps.h
+--- qwtplot3d/include/qwt3d_io_gl2ps.h 2005-07-10 16:54:52.000000000 +0300
++++ qwtplot3d.patched/include/qwt3d_io_gl2ps.h 2012-01-21 22:15:20.000000000 +0200
+@@ -2,12 +2,7 @@
+ #define qwt3d_io_gl2ps_h__2004_05_07_01_16_begin_guarded_code
+
+ #include <time.h>
+-
+-#if QT_VERSION < 0x040000
+-#include <qgl.h>
+-#else
+-#include <QtOpenGL/qgl.h>
+-#endif
++#include <QtOpenGL>
+
+ #include "qwt3d_types.h"
+ #include "qwt3d_io.h"
+diff -urbN qwtplot3d/include/qwt3d_openglhelper.h qwtplot3d.patched/include/qwt3d_openglhelper.h
+--- qwtplot3d/include/qwt3d_openglhelper.h 2005-07-19 17:40:28.000000000 +0300
++++ qwtplot3d.patched/include/qwt3d_openglhelper.h 2012-01-21 22:29:56.000000000 +0200
+@@ -2,11 +2,8 @@
+ #define __openglhelper_2003_06_06_15_49__
+
+ #include "qglobal.h"
+-#if QT_VERSION < 0x040000
+-#include <qgl.h>
+-#else
+-#include <QtOpenGL/qgl.h>
+-#endif
++#include <QtOpenGL>
++#include <GL/glu.h>
+
+ namespace Qwt3D
+ {
diff --git a/libraries/qwtplot3d/qwtplot3d.SlackBuild b/libraries/qwtplot3d/qwtplot3d.SlackBuild
new file mode 100644
index 0000000000..b17a537893
--- /dev/null
+++ b/libraries/qwtplot3d/qwtplot3d.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+# Heavily based on the Slackware 13.37 SlackBuild
+# http://qwtplot3d.sourceforge.net
+# Written by Andrea Sciucca ( gohanz at infinito.it)
+# http://www.slacky.eu
+# Modified by Fellype do Nascimento (2016)
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+
+PRGNAM=qwtplot3d
+VERSION=${VERSION:-0.2.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+ BASELIBDIR="lib${LIBDIRSUFFIX}"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ BASELIBDIR="lib${LIBDIRSUFFIX}"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ BASELIBDIR="lib${LIBDIRSUFFIX}"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvzf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+#Applying a patch to fix problems with qt >= 4.8
+patch -p1 < $CWD/$PRGNAM-qt-4.8.0.patch
+
+qmake PREFIX=/usr -o Makefile qwtplot3d.pro
+
+LDFLAGS="$SLKLDFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+mkdir -p $PKG/usr/include
+
+cp -f -d $TMP/$PRGNAM/lib/* $PKG/usr/lib${LIBDIRSUFFIX}
+cp -f $TMP/$PRGNAM/include/* $PKG/usr/include
+
+# Add documentation files
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $CWD
+cp -a $TMP/$PRGNAM/COPYING $PRGNAM.SlackBuild slack-desc $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Strip binaries and shared objects, if present
+cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs -r strip --strip-unneeded 2> /dev/null || true
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs -r strip --strip-unneeded 2> /dev/null || true
+find . | xargs file | grep "current ar archive" | cut -f 1 -d : | xargs -r strip --strip-unneeded 2> /dev/null || true
+
+chown -R root:root .
+
+# Find and print dependencies into slack-required file
+if [ -x /usr/bin/requiredbuilder ];then
+ requiredbuilder -y -v -s $CWD $PKG
+fi
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/qwtplot3d/qwtplot3d.info b/libraries/qwtplot3d/qwtplot3d.info
new file mode 100644
index 0000000000..5cf781b084
--- /dev/null
+++ b/libraries/qwtplot3d/qwtplot3d.info
@@ -0,0 +1,10 @@
+PRGNAM="qwtplot3d"
+VERSION="0.2.7"
+HOMEPAGE="http://qwtplot3d.sourceforge.net/"
+DOWNLOAD="http://ufpr.dl.sourceforge.net/project/qwtplot3d/qwtplot3d/0.2.7/qwtplot3d-0.2.7.tgz"
+MD5SUM="2f14660152e2e26bfeaaeec479ed9f2b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fellype do Nascimento"
+EMAIL="fellype(at)gmail.com"
diff --git a/libraries/qwtplot3d/slack-desc b/libraries/qwtplot3d/slack-desc
new file mode 100644
index 0000000000..b4c27a4c55
--- /dev/null
+++ b/libraries/qwtplot3d/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler----------------------------------------------------|
+qwtplot3d: qwtplot3d (A Qt/OpenGL-based C++ programming library)
+qwtplot3d:
+qwtplot3d: QwtPlot3D is not a program, but a feature-rich Qt/OpenGL-based C++
+qwtplot3d: programming library, providing essentially a bunch of 3D-widgets
+qwtplot3d: for programmers. The library is zlib licensed.
+qwtplot3d:
+qwtplot3d:
+qwtplot3d:
+qwtplot3d:
+qwtplot3d:
+qwtplot3d: